package com.bzd.system.service.hygl.jf;

import com.bzd.common.config.dao.DaoBase;
import com.bzd.common.config.dao.DaoSupport;
import com.bzd.common.config.dao.PageData;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import javax.annotation.Resource;
import java.util.List;


/**
*
* 兑换记录表 service
* @author LiXiangFei
* @since 2024-10-15
*/

@Service
public class SHyglJfglOrderinfoService {

    @Autowired
    private DaoBase dao;

    @Resource(name = "daoSupport")
    private DaoSupport daoSupport;

    public Integer addSHyglJfglOrderinfo(PageData pd)throws Exception {
        return daoSupport.update("SHyglJfglOrderinfoMapper.addSHyglJfglOrderinfo", pd);
    }

    public List<PageData> findSHyglJfglOrderinfoList(PageData pd) throws Exception{
        return (List<PageData>) daoSupport.findForList("SHyglJfglOrderinfoMapper.selectSHyglJfglOrderinfoList", pd);
    }

    public Integer SHyglJfglOrderinfoRemove(PageData pd)throws Exception {
        return daoSupport.delete("SHyglJfglOrderinfoMapper.SHyglJfglOrderinfoRemove", pd);
    }


    public Integer updateSHyglJfglOrderinfo(PageData pd)throws Exception {
        return daoSupport.update("SHyglJfglOrderinfoMapper.updateSHyglJfglOrderinfo", pd);
    }

}
